Bug 175955 - "Add Existing Item..." wizard generates exception (Exception: Should not be called from UI thread)
"Add Existing Item..." wizard generates exception (Exception: Should not be c...
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Project
6.x
All All
: P2 (vote)
: TBD
Assigned To: Thomas Preisler
issues@cnd
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-03 12:19 UTC by soldatov
Modified: 2009-11-10 00:59 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description soldatov 2009-11-03 12:19:23 UTC
P2, because I see a lot of different exceptions in automatic test results. All "Should not be called from UI thread"
exceptions be fixed ASAP.

Scenario:
- Create project
- Call "Add Existing Item..." wizard
- Select any source file and press OK button
==> exception
java.lang.Exception: Should not be called from UI thread
	at org.netbeans.modules.nativeexecution.support.Logger.assertNonUiThread(Logger.java:95)
	at org.netbeans.modules.nativeexecution.api.util.HostInfoUtils.getHostInfo(HostInfoUtils.java:187)
	at
org.netbeans.modules.dlight.procfs.processinfo.ProcBasedProcessInfoProviderFactory.getProvider(ProcBasedProcessInfoProviderFactory.java:62)
	at org.netbeans.modules.nativeexecution.AbstractNativeProcess.findInfoProvider(AbstractNativeProcess.java:390)
	at org.netbeans.modules.nativeexecution.AbstractNativeProcess.createAndStart(AbstractNativeProcess.java:129)
	at org.netbeans.modules.nativeexecution.api.NativeProcessBuilder.call(NativeProcessBuilder.java:203)
	at org.netbeans.modules.cnd.makeproject.api.compilers.CCCCompiler.getSystemIncludesAndDefines(CCCCompiler.java:240)
	at
org.netbeans.modules.cnd.makeproject.api.compilers.SunCCCCompiler.getFreshSystemIncludesAndDefines(SunCCCCompiler.java:77)
	at org.netbeans.modules.cnd.makeproject.api.compilers.CCCCompiler.getSystemIncludesAndDefines(CCCCompiler.java:164)
	at org.netbeans.modules.cnd.makeproject.api.compilers.CCCCompiler.getSystemPreprocessorSymbols(CCCCompiler.java:113)
	at org.netbeans.modules.cnd.makeproject.api.configurations.Item.getSystemMacroDefinitions(Item.java:514)
	at org.netbeans.modules.cnd.modelimpl.csm.core.ProjectBase.getMacroMap(ProjectBase.java:1065)
	at org.netbeans.modules.cnd.modelimpl.csm.core.ProjectBase.createPreprocHandler(ProjectBase.java:1041)
	at org.netbeans.modules.cnd.modelimpl.csm.core.ProjectBase.createOrFindFileImpl(ProjectBase.java:1786)
	at org.netbeans.modules.cnd.modelimpl.csm.core.ProjectBase.createIfNeed(ProjectBase.java:858)
	at org.netbeans.modules.cnd.modelimpl.csm.core.ProjectBase.createIfNeed(ProjectBase.java:845)
	at org.netbeans.modules.cnd.modelimpl.csm.core.ProjectImpl.onFileAddedImpl(ProjectImpl.java:253)
	at org.netbeans.modules.cnd.modelimpl.csm.core.ProjectImpl.onFileAdded(ProjectImpl.java:245)
	at
org.netbeans.modules.cnd.modelimpl.csm.core.NativeProjectListenerImpl.onProjectItemAdded(NativeProjectListenerImpl.java:207)
	at org.netbeans.modules.cnd.modelimpl.csm.core.NativeProjectListenerImpl.fileAdded(NativeProjectListenerImpl.java:81)
	at org.netbeans.modules.cnd.makeproject.NativeProjectProvider.fireFilesAdded(NativeProjectProvider.java:262)
	at
org.netbeans.modules.cnd.makeproject.api.configurations.MakeConfigurationDescriptor.fireFilesAdded(MakeConfigurationDescriptor.java:475)
	at org.netbeans.modules.cnd.makeproject.api.configurations.Folder.addItemAction(Folder.java:419)
	at org.netbeans.modules.cnd.makeproject.api.actions.AddExistingItemAction.performAction(AddExistingItemAction.java:152)
	at org.openide.util.actions.NodeAction$DelegateAction$1.run(NodeAction.java:589)
	at org.netbeans.modules.openide.util.ActionsBridge.implPerformAction(ActionsBridge.java:83)
	at org.netbeans.modules.openide.util.ActionsBridge.doPerformAction(ActionsBridge.java:64)
	at org.openide.util.actions.NodeAction$DelegateAction.actionPerformed(NodeAction.java:585)
	at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:1995)
	at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2318)
	at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:387)
	at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:242)
	at javax.swing.AbstractButton.doClick(AbstractButton.java:357)
	at javax.swing.plaf.basic.BasicMenuItemUI.doClick(BasicMenuItemUI.java:1225)
	at javax.swing.plaf.basic.BasicMenuItemUI$Handler.mouseReleased(BasicMenuItemUI.java:1266)
	at java.awt.Component.processMouseEvent(Component.java:6263)
	at javax.swing.JComponent.processMouseEvent(JComponent.java:3267)
	at java.awt.Component.processEvent(Component.java:6028)
	at java.awt.Container.processEvent(Container.java:2041)
	at java.awt.Component.dispatchEventImpl(Component.java:4630)
	at java.awt.Container.dispatchEventImpl(Container.java:2099)
	at java.awt.Component.dispatchEvent(Component.java:4460)
	at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4574)
	at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4238)
	at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4168)
	at java.awt.Container.dispatchEventImpl(Container.java:2085)
	at java.awt.Window.dispatchEventImpl(Window.java:2475)
	at java.awt.Component.dispatchEvent(Component.java:4460)
[catch] at java.awt.EventQueue.dispatchEvent(EventQueue.java:599)
	at org.netbeans.core.TimableEventQueue.dispatchEvent(TimableEventQueue.java:125)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:269)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:184)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:174)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:169)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:161)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:122)
Comment 1 Alexander Simon 2009-11-03 14:09:46 UTC
Non UI work should be performed in request processor thread in methods:
org.netbeans.modules.cnd.makeproject.api.actions.*.performAction()
Comment 2 Thomas Preisler 2009-11-03 22:09:15 UTC
FIxed.
Comment 3 Quality Engineering 2009-11-04 10:51:25 UTC
Integrated into 'main-golden', will be available in build *200911040201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/caca64ee233e
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixing IZ#175955 "Add Existing Item..." wizard generates exception (Exception: Should not be called from UI thread)
Comment 4 Quality Engineering 2009-11-04 22:29:05 UTC
Integrated into 'main-golden', will be available in build *200911041401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/2a9994cbcdf8
User: Thomas Preisler <thp@netbeans.org>
Log: #175955 "Add Existing Item..." wizard generates exception (Exception: Should not be called from UI thread)
Comment 5 soldatov 2009-11-10 00:59:10 UTC
verified in latest build


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo